<?php
//////////////////////////////////////////////////////////////////////////////////////////

$res1=mysqli_query($con, "SELECT code,onoma FROM ekdilosi WHERE date='$dt' ");
$c1=mysqli_num_rows($res1);
echo "Ο ΑΡΙΘΜΟΣ ΤΩΝ ΔΡΑΣΤΗΡΙΟΤΗΤΩΝ ΤΗΣ ΗΜΕΡΑΣ ΕΙΝΑΙ ".$c1."<br >";

 if ($c1 > 0)  {  
 $i=0;
 while($row = mysqli_fetch_array($res1))
     {
	 $codekd[$i]=$row['code'];
	 $onomaekd[$i]=$row['onoma'];
	 $i++;
    }
 }

$i=1;
 while($i<=$crow1){$ap[$i]='unchecked';$stoli[$i]='unchecked'; $kath[$i]=0;$i++;}


$sql=mysqli_query($con,"SELECT apousies.mitroo, apousies.apousia, allstudentinfo.tmima FROM apousies,allstudentinfo 
WHERE apousies.mitroo=allstudentinfo.mitroo AND apousies.dateout='$dt' AND apousies.teacher='$usr' 
AND apousies.mathima='$lesson' AND apousies.period='$per' AND apousies.apousia=1" );

$c2=mysqli_num_rows($sql);



    while($row = mysqli_fetch_array($sql)){	
	for($i=1;$i<=$crow1;$i++)
     {
		if ( $mt[$i]== $row['mitroo']){
			 $ap[$i]='checked';}
	 }}
	 
$sql=mysqli_query($con,"SELECT apousies.mitroo, apousies.stoli,allstudentinfo.tmima FROM apousies,allstudentinfo WHERE apousies.mitroo=allstudentinfo.mitroo AND apousies.dateout='$dt' AND apousies.teacher='$usr' AND apousies.mathima='$lesson' AND apousies.period='$per' AND apousies.stoli=1" );

$c2=mysqli_num_rows($sql);

    while($row = mysqli_fetch_array($sql)){	
	for($i=1;$i<=$crow1;$i++)
     {
		if ( $mt[$i]== $row['mitroo']){
			 $stoli[$i]='checked';}
	 }}

$sql=mysqli_query($con,"SELECT apousies.mitroo, apousies.kath, allstudentinfo.tmima FROM apousies,allstudentinfo WHERE apousies.mitroo=allstudentinfo.mitroo AND apousies.dateout='$dt' AND apousies.teacher='$usr' AND apousies.mathima='$lesson' AND apousies.period='$per' AND apousies.kath > 0" );
$c2=mysqli_num_rows($sql);

	while($row = mysqli_fetch_array($sql)){	
	for($i=1;$i<=$crow1;$i++)
     {
		if ( $mt[$i]== $row['mitroo']){
	    	$kath[$i]=$row['kath'];}
			
	 }}

?>

<form method="POST" name = "eggrafi" action="eggrafi.php" >
 
<?php

echo "<table class='myTable' >
<tr style='border:1px solid black' >
<tr bgcolor='#66CC99'>
<th>α/α</th>
<th>Α.Μ</th>
<th>Τμήμα</th>
<th>Όνοματεπώνυμο</th>
<th>p1</th>
<th>p2</th>
<th>p3</th>
<th>p4</th>
<th>p5</th>
<th>p6</th>
<th>p7</th>
<th>Καθυστ.</th>
<th>Εμφάνιση</th>
<th>Σε Δραστηριότητα</th>
</tr>";


$i=1;
while($i<=$crow1)
{
 //////////////////////////////// display apousies periodon///////////////////////
 $mtr=$mt[$i];
 $sqlx = mysqli_query($con,"SELECT period FROM apousies WHERE mitroo='$mtr' AND apousia=1 AND dateout='$dt' ORDER BY period " );
 for ($p=1;$p<=7;$p++){$per1[$p]=0;}
 while($rowx = mysqli_fetch_array($sqlx)) { $per1[$rowx['period']]=1;} 
 
	 echo "<tr>";
	 echo "<td>" .$i;
	 echo "<td>". "<input type='text' name='mt[]' value='$mt[$i]' size='3' >" . "</td>";
	 echo "<td>". "<input type='text' name='tmim' value='$tmim[$i]' size='3' >" . "</td>";
	 echo "<td>". "<input type='text' name='epo[]' value='$epo[$i]' size='30' >" . "</td>"; 
	 for ($p=1;$p<=7;$p++){
		 if ($p == $per) 
		 {
			 echo "<td>". "<input type='checkbox' value='$mt[$i]' name='att[]' $ap[$i] >" ."</td>";
		 }
		 else 
		 {
	       if ($per1[$p]==1) { echo "<td bgcolor='#FF0000'>" ." ". "</td>"; }
		   else { echo "<td >" ." ". "</td>";}}
	 }
	 echo "<td>". "<input type='text' name='kath[]' value='$kath[$i]' size='6'   >" ."</td>";
	 echo "<td>". "<input type='checkbox' value='$mt[$i]' name='stoli[]' $stoli[$i] size='6'>" ."</td>"; 
	 
///////////////////////////////................
	 if ($c1 > 0 ) {	 
	 $i1=0;
	 
	 foreach ($codekd as $cdo) {
	 
	 	 $q2 =mysqli_query($con, "SELECT p1,p2,p3,p4,p5,p6,p7 FROM ekdilosistu WHERE pmp = '$mt[$i]' AND code='$cdo' ");
	 $c2=mysqli_num_rows($q2);
	 if ($c2 > 0){
	   
	 $row2 = mysqli_fetch_array($q2);
	  $p1=$row2['p1'];$p2=$row2['p2'];$p3=$row2['p3'];$p4=$row2['p4'];$p5=$row2['p5'];$p6=$row2['p6'];$p7=$row2['p7'];		
		$np="p".$per;
	    if ($$np == 1) { echo "<td>". $onomaekd[$i1] ."</td>"; }}
			   
	 $i1++; }}

	 echo "</tr>";
$i++;
}

echo "</table>";
$_SESSION['fg']=$i;

echo "<br>"."ΚΑΤΑΧΩΡΗΣΗ ΤΗΣ ΥΛΗΣ / ΠΕΡΙΓΡΑΦΗ ΔΡΑΣΤΗΡΙΟΤΗΤΑΣ";
echo "<br>";
$sql=mysqli_query($con,"SELECT perigrafi FROM syllabi  WHERE pmp='$usr' AND per='$per' AND date='$dt'  "); 
 $row = mysqli_fetch_array($sql);
 $perigrafi=$row['perigrafi'];
echo "<textarea name='perigrafi' cols='80' rows='3'> $perigrafi </textarea >"."<br >";

?>
<input type="Submit" name="Submitapou" value="Καταχώρηση">
</form>